MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023209Community[OCCT] OCCT:Visualizationpublic2012-06-15 20:142013-04-29 15:23
Reportersan 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSMandriva 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023209: Potentially unmatched XOpenDisplay() and XCloseDisplay() calls in some OCCT packages
DescriptionXOpenDisplay() calls should have a matching XCloseDisplay() call.
Missing XCloseDisplay() call has been found at least in OSD_FontMgr class.

It is also necessary to check also Xw_GraphicDevice and OpenGl_Display classes work with X display as expected, without creating X server connections that remain unclosed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023415closeddbv Open CASCADE OSD_FontMgr can't idenify aspect for fonts with names dependant on system locale. 
related to 0023712closeddbv Open CASCADE Remove the dependency on the Aspect_GraphicDevice from Aspect_Window 
related to 0023769closeddbv Open CASCADE Eliminate the dependence on X11 libs on Mac OS X 

-  Notes
(0023543)
dbv (developer)
2013-03-01 11:08

Most of problems with unmatched XOpenDisplay() have been fixed in related issues.
Fixed display connection management in Draw_Window.

Dear Sergey, could you please review the git branch CR23209.
(0023548)
san (developer)
2013-03-01 13:02

Branch CR23209 reviewed without remarks, ready fro testing.
(0023618)
mkv (tester)
2013-03-07 13:53

Dear BugMaster,

Branch CR23209 (and products from GIT master) was compiled on Linux and Windows platforms.
SHA-1: eff03dbb3d9b853d9ce0aa57ce745f0ce1878b5f

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 39 (39 on master)

products component :
Linux: 10 (10 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 238931308 / 239611028
Total CPU difference: 20013.680000000848 / 16232.879999999803

Testing on Windows:
Total MEMORY difference: 326702408 / 326592864
Total CPU difference: 13384.203125 / 14605.28125

There are not serious differences in images found by testdiff.

- Related Changesets
occt: master a6a96586
Timestamp: 2013-03-01 08:05:28
Author: dbv
Details ] Diff ]
0023209: Potentially unmatched XOpenDisplay() and XCloseDisplay() calls in some OCCT packages
Fixed display connection management in Draw_Window
mod - src/Draw/Draw_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-06-15 20:14 san New Issue
2012-06-15 20:14 san Assigned To => san
2012-10-23 10:23 kgv Assigned To san => dbv
2012-10-23 10:24 kgv Status new => assigned
2012-10-23 10:25 kgv Relationship added related to 0023415
2012-10-23 10:32 abv Target Version => 6.6.0
2013-02-19 12:03 kgv Relationship added related to 0023712
2013-02-19 12:06 dbv Relationship added related to 0023769
2013-03-01 11:08 dbv Note Added: 0023543
2013-03-01 11:08 dbv Assigned To dbv => san
2013-03-01 11:08 dbv Status assigned => resolved
2013-03-01 13:02 san Note Added: 0023548
2013-03-01 13:02 san Assigned To san => bugmaster
2013-03-01 13:02 san Status resolved => reviewed
2013-03-01 18:09 mkv Assigned To bugmaster => mkv
2013-03-07 13:53 mkv Note Added: 0023618
2013-03-07 13:53 mkv Test case number => Not needed
2013-03-07 13:53 mkv Assigned To mkv => bugmaster
2013-03-07 13:53 mkv Status reviewed => tested
2013-03-11 17:38 dbv Changeset attached => occt master a6a96586
2013-03-11 17:38 dbv Assigned To bugmaster => dbv
2013-03-11 17:38 dbv Status tested => verified
2013-03-11 17:38 dbv Resolution open => fixed
2013-04-23 13:35 user533 Status verified => closed
2013-04-29 15:23 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker